from sqlalchemy import Column, Integer, String, TIMESTAMP, UniqueConstraint, func
from sqlalchemy.orm import relationship
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()


class Author(Base):
    __tablename__  = 'author'
    __table_args__ = (UniqueConstraint('id'),)

    id           = Column(Integer, primary_key=True, autoincrement=True)
    first_name   = Column(String(50), nullable=False)
    last_name    = Column(String(50), nullable=False)
    last_updated = Column(TIMESTAMP, nullable=False, server_default=func.now())
