from sqlalchemy import Column, Integer, ForeignKey
from sqlalchemy.orm import relationship
from sqlalchemy.ext.declarative import declarative_base


from .book import Book
from .book_category import BookCategory

Base = declarative_base()

class BookCategoryLink(Base):
    __tablename__ = 'book_category_link'

    book_id          = Column(Integer, ForeignKey('book.id'), primary_key=True)
    book_category_id = Column(Integer, ForeignKey('book_category.id'), primary_key=True)

    book          = relationship('Book', backref='categories')
    book_category = relationship('BookCategory', backref='books')